package org.springblade.manager.wrapper;


import org.springblade.core.mp.support.BaseEntityWrapper;
import org.springblade.core.tool.utils.BeanUtil;
import org.springblade.manager.dto.WbsParamBean;
import org.springblade.manager.entity.WbsParam;

import java.util.Objects;

/**
 * @author yangyj

 * @Date 2022/6/17 17:28
 * @description TODO
 */
public class WbsParamWrapper extends BaseEntityWrapper<WbsParam, WbsParamBean> {
    public static WbsParamWrapper build() {
        return new WbsParamWrapper();
    }
    @Override
    public WbsParamBean entityVO(WbsParam entity) {
        return  Objects.requireNonNull(BeanUtil.copy(entity, WbsParamBean.class));
    }
}
